package com.fjhx.mes.service.production.impl;

import com.fjhx.mes.entity.production.po.ProductionPlan;
import com.fjhx.mes.mapper.production.ProductionPlanMapper;
import com.fjhx.mes.service.production.ProductionPlanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionPlanVo;
import com.fjhx.mes.entity.production.dto.ProductionPlanSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.mes.entity.production.dto.ProductionPlanDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 生产计划 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
@Service
public class ProductionPlanServiceImpl extends ServiceImpl<ProductionPlanMapper, ProductionPlan> implements ProductionPlanService {

    @Override
    public Page<ProductionPlanVo> getPage(ProductionPlanSelectDto dto) {
        IWrapper<ProductionPlan> wrapper = getWrapper();
        wrapper.orderByDesc("pp", ProductionPlan::getId);
        Page<ProductionPlanVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public ProductionPlanVo detail(Long id) {
        ProductionPlan ProductionPlan = this.getById(id);
        ProductionPlanVo result = BeanUtil.toBean(ProductionPlan, ProductionPlanVo.class);
        return result;
    }

    @Override
    public void add(ProductionPlanDto productionPlanDto) {
        this.save(productionPlanDto);
    }

    @Override
    public void edit(ProductionPlanDto productionPlanDto) {
        this.updateById(productionPlanDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
